insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'CategoriesPerDepth', rownum, totals, id from 
(select count(1) totals, chi_parent_id id
from chi
where chi_company_id = 40001
and chi_next_version_id = 999999999
group by chi_parent_id
order by count(1) desc
) ;
commit;
quit;
